import { BleComboLLSyncDeviceAdapterBase } from '../BleComboLLSync';
import { DeviceFilterFunction } from 'qcloud-iotexplorer-bluetooth-adapter';
import { LLSyncDeviceAdapter, LLSyncDeviceAdapterOptions } from 'qcloud-iotexplorer-bluetooth-adapter-llsync';
import { AppDevSdk } from 'qcloud-iotexplorer-appdev-sdk';
declare class LLSyncDualModeDeviceAdapter extends LLSyncDeviceAdapter {
    static serviceId16: string;
    static serviceId: string;
}
interface DualModeDeviceAdapterOptions extends LLSyncDeviceAdapterOptions {
    appDevSdk: AppDevSdk;
}
export declare class BleComboDualModeDeviceAdapterBase extends BleComboLLSyncDeviceAdapterBase {
    static serviceId16: string;
    static serviceId: string;
    static deviceFilter: DeviceFilterFunction;
    static injectOptions(options: DualModeDeviceAdapterOptions): void;
    _bleDeviceAdapter: LLSyncDualModeDeviceAdapter;
    constructor(props: any);
    toString(): string;
    get authorized(): boolean;
    authenticateConnection(params: any): Promise<never>;
    bindDevice(data: any): Promise<string>;
    unbindDevice(data: any): any;
    controlDevice(data: any): any;
    init(): Promise<any>;
}
export declare const BleComboDualModeDeviceAdapter: (new (...args: any[]) => {
    bluetoothAdapter: import("qcloud-iotexplorer-bluetooth-adapter").BlueToothAdapter;
    extendInfo: any;
    _h5Websocket: any;
    _name: string;
    _deviceId: string;
    _deviceName: string;
    _deviceConnected: boolean;
    _productId: string;
    _deviceRegistered: boolean;
    _services: any[];
    characteristicsMap: {};
    _actions: Pick<import("qcloud-iotexplorer-bluetooth-adapter").BlueToothActions, "registerDevice" | "bindDevice" | "reportDeviceData">;
    _bluetoothApi: any;
    communicationMode: import("qcloud-iotexplorer-bluetooth-adapter").CommunicationMode;
    _batchWriteEnabled: boolean;
    _batchWriteInterval: number;
    baseLogger: import("qcloud-iotexplorer-logger").InsightLogger;
    _getNotifyId({ serviceId }?: {
        serviceId?: string;
    }): any;
    readonly _writeId: any;
    readonly _notifyId: any;
    readonly _readId: any;
    readonly _indicateId: any;
    readonly deviceId: string;
    readonly productId: string;
    deviceName: string;
    readonly isConnected: boolean;
    readonly originName: string;
    readonly explorerDeviceId: string;
    readonly serviceId: any;
    readonly deviceInfo: {
        productId: string;
        deviceName: string;
        deviceId: string;
        explorerDeviceId: string;
        name: string;
    };
    init(): Promise<void>;
    handleBLEMessage(hexStrArr: string[], { serviceId, characteristicId }: {
        serviceId: string;
        characteristicId: string;
    }): import("qcloud-iotexplorer-bluetooth-adapter").BLEMessageResponse;
    registerDevice(): Promise<void>;
    bindDevice({ familyId, roomId, }?: {
        familyId?: string;
        roomId?: string;
    }): Promise<string>;
    onBleConnectionStateChange({ connected }: {
        connected: any;
    }): void;
    onBLECharacteristicValueChange({ serviceId, characteristicId, value, }: {
        serviceId: any;
        characteristicId: any;
        value: any;
    }): Promise<void>;
    disconnectDevice(): void;
    connectDevice({ autoNotify, }?: {
        autoNotify?: boolean;
    }): Promise<void>;
    autoNotifyCharacteristics(): Promise<void>;
    write(data: any, { writeId, serviceId, }?: {
        writeId?: string;
        serviceId?: string;
    }): Promise<void>;
    _write(value: any, { writeId, serviceId, }?: {
        writeId?: string;
        serviceId?: string;
    }): Promise<void>;
    getBLEDeviceServices(): Promise<any>;
    setCharacteristicsIds(serviceId: any, characteristics: any): void;
    getBLEDeviceCharacteristics({ serviceId, }?: {
        serviceId?: string;
    }): Promise<any>;
    notifyBLECharacteristicValueChange({ characteristicId, serviceId, state, }?: {
        characteristicId?: string;
        serviceId?: string;
        state?: boolean;
    }): Promise<void>;
    readBLECharacteristicValue({ serviceId, characteristicId, }?: {
        serviceId?: string;
        characteristicId?: string;
    }): Promise<void>;
    setBLEMTU(params: {
        deviceId?: string;
        mtu: number;
    }): Promise<{
        mtu: number;
    }>;
    getBLEMTU(params?: {
        deviceId?: string;
        writeType?: "write" | "writeNoResponse";
    }): Promise<{
        mtu: number;
    }>;
    getBLEDeviceRSSI(): any;
    destroy(): void;
    advertFilter(advert: any): any;
    onScanAdvert(params: any): void;
    batchWrite(_data: (string | ArrayBuffer)[], _options: {
        writeId?: string;
        serviceId?: string;
    }): Promise<void>;
    _cleanupMap: {};
    _normalizeError(error: any): any;
    cleanup(action?: string, optional?: boolean): void;
    addCleanupTask(action: any, cleanupFn: any): void;
    removeCleanupTask(action: any): void;
    on(type: string, listener: import("event-emitter-for-miniprogram/lib/event-emitter").ListenerCallback): import("event-emitter-for-miniprogram/lib/event-emitter");
    once(type: string, listener: import("event-emitter-for-miniprogram/lib/event-emitter").ListenerCallback): import("event-emitter-for-miniprogram/lib/event-emitter");
    off(type: string, listener?: import("event-emitter-for-miniprogram/lib/event-emitter").ListenerCallback): import("event-emitter-for-miniprogram/lib/event-emitter");
    emit(...args: any[]): Promise<any>;
}) & typeof BleComboDualModeDeviceAdapterBase;
export declare const BleComboDualModeDeviceAdapter4H5: (new (...props: any[]) => {
    write(data: any, writeId: any): Promise<void>;
    setBatchWriteMode(enabled: boolean, interval?: number): void;
    batchWrite(data: (string | ArrayBuffer)[], options: {
        writeId?: string;
        serviceId?: string;
    }): Promise<void>;
    bluetoothAdapter: import("qcloud-iotexplorer-bluetooth-adapter").BlueToothAdapter;
    extendInfo: any;
    _h5Websocket: any;
    _name: string;
    _deviceId: string;
    _deviceName: string;
    _deviceConnected: boolean;
    _productId: string;
    _deviceRegistered: boolean;
    _services: any[];
    characteristicsMap: {};
    _actions: Pick<import("qcloud-iotexplorer-bluetooth-adapter").BlueToothActions, "registerDevice" | "bindDevice" | "reportDeviceData">;
    _bluetoothApi: any;
    communicationMode: import("qcloud-iotexplorer-bluetooth-adapter").CommunicationMode;
    _batchWriteEnabled: boolean;
    _batchWriteInterval: number;
    baseLogger: import("qcloud-iotexplorer-logger").InsightLogger;
    _getNotifyId({ serviceId }?: {
        serviceId?: string;
    }): any;
    readonly _writeId: any;
    readonly _notifyId: any;
    readonly _readId: any;
    readonly _indicateId: any;
    readonly deviceId: string;
    readonly productId: string;
    deviceName: string;
    readonly isConnected: boolean;
    readonly originName: string;
    readonly explorerDeviceId: string;
    readonly serviceId: any;
    readonly deviceInfo: {
        productId: string;
        deviceName: string;
        deviceId: string;
        explorerDeviceId: string;
        name: string;
    };
    init(): Promise<void>;
    handleBLEMessage(hexStrArr: string[], { serviceId, characteristicId }: {
        serviceId: string;
        characteristicId: string;
    }): import("qcloud-iotexplorer-bluetooth-adapter").BLEMessageResponse;
    registerDevice(): Promise<void>;
    bindDevice({ familyId, roomId, }?: {
        familyId?: string;
        roomId?: string;
    }): Promise<string>;
    onBleConnectionStateChange({ connected }: {
        connected: any;
    }): void;
    onBLECharacteristicValueChange({ serviceId, characteristicId, value, }: {
        serviceId: any;
        characteristicId: any;
        value: any;
    }): Promise<void>;
    disconnectDevice(): void;
    connectDevice({ autoNotify, }?: {
        autoNotify?: boolean;
    }): Promise<void>;
    autoNotifyCharacteristics(): Promise<void>;
    _write(value: any, { writeId, serviceId, }?: {
        writeId?: string;
        serviceId?: string;
    }): Promise<void>;
    getBLEDeviceServices(): Promise<any>;
    setCharacteristicsIds(serviceId: any, characteristics: any): void;
    getBLEDeviceCharacteristics({ serviceId, }?: {
        serviceId?: string;
    }): Promise<any>;
    notifyBLECharacteristicValueChange({ characteristicId, serviceId, state, }?: {
        characteristicId?: string;
        serviceId?: string;
        state?: boolean;
    }): Promise<void>;
    readBLECharacteristicValue({ serviceId, characteristicId, }?: {
        serviceId?: string;
        characteristicId?: string;
    }): Promise<void>;
    setBLEMTU(params: {
        deviceId?: string;
        mtu: number;
    }): Promise<{
        mtu: number;
    }>;
    getBLEMTU(params?: {
        deviceId?: string;
        writeType?: "write" | "writeNoResponse";
    }): Promise<{
        mtu: number;
    }>;
    getBLEDeviceRSSI(): any;
    destroy(): void;
    advertFilter(advert: any): any;
    onScanAdvert(params: any): void;
    _cleanupMap: {};
    _normalizeError(error: any): any;
    cleanup(action?: string, optional?: boolean): void;
    addCleanupTask(action: any, cleanupFn: any): void;
    removeCleanupTask(action: any): void;
    on(type: string, listener: import("event-emitter-for-miniprogram/lib/event-emitter").ListenerCallback): import("event-emitter-for-miniprogram/lib/event-emitter");
    once(type: string, listener: import("event-emitter-for-miniprogram/lib/event-emitter").ListenerCallback): import("event-emitter-for-miniprogram/lib/event-emitter");
    off(type: string, listener?: import("event-emitter-for-miniprogram/lib/event-emitter").ListenerCallback): import("event-emitter-for-miniprogram/lib/event-emitter");
    emit(...args: any[]): Promise<any>;
}) & typeof BleComboDualModeDeviceAdapterBase;
export {};
